import "./App.css";
import React, { useContext } from "react";
import {
  BrowserRouter as Router,
  Route,
  Routes,
  Navigate,
} from "react-router-dom";

import Home from "./components/Home/Home";
import Login from "./components/Login/Login";
import PracticeHome from "./components/APITest/PracticeHome";
import AdminHome from "./components/AdminHome/AdminHome";
import MyAccountAdminView from "./components/MyAccountAdminView/MyAccountAdminView";
import SearchResults from "./components/SearchResults/SearchResults";

function App() {
  return (
    <Router>
      <div className="App">
        å
        <Navbar />
        <Routes>
          <Route path="/login" element={<Login />} />
          <Route path="/home" element={<Home />} />
          <Route path="/practice" element={<PracticeHome />} />
          <Route path="/AdminHome" element={<AdminHome />} />
          <Route path="/MyAccountAdminView" element={<MyAccountAdminView />} />
          <Route path="/search-results" element={<SearchResults />} />
        </Routes>
      </div>
    </Router>
  );
}

export default App;
